> ## Documentation Index
> Fetch the complete documentation index at: https://developer.zilmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bank Accounts

> List all bank account records.



## OpenAPI

````yaml GET /bankAccounts
openapi: 3.0.1
info:
  title: Online Check Writer API
  description: API documentation for bank accounts.
  version: 1.0.0
servers:
  - url: https://test.onlinecheckwriter.com/api/v3
    description: Test server
  - url: https://app.onlinecheckwriter.com/api/v3
    description: Production server
security: []
paths:
  /bankAccounts:
    get:
      tags:
        - Bank Accounts
      summary: Retrieve all bank accounts
      description: List all bank account records.
      parameters:
        - name: perPage
          in: query
          description: >-
            Number of records that you want to receive in the response. By
            default, 10 records will be listed.
          required: false
          schema:
            type: integer
            default: 10
        - name: page
          in: query
          description: >-
            For navigating through pages. By default, the first page will be
            listed.
          required: false
          schema:
            type: integer
            default: 1
        - name: term
          in: query
          description: Filter records using any keywords.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response with a list of bank accounts.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      meta:
                        type: object
                        properties:
                          total:
                            type: integer
                            example: 1446
                          currentPage:
                            type: integer
                            example: 1
                          perPage:
                            type: integer
                            example: 10
                      bankAccounts:
                        type: array
                        items:
                          type: object
                          properties:
                            bankAccountId:
                              type: string
                            name:
                              type: string
                            nickName:
                              type: string
                            accountNumber:
                              type: string
                            isVerified:
                              type: boolean
                            bankId:
                              type: string
                            addressLine1:
                              type: string
                            addressLine2:
                              type: string
                              nullable: true
                            city:
                              type: string
                            state:
                              type: string
                            zip:
                              type: string
                            phone:
                              type: string
                              nullable: true
                            createdDate:
                              type: string
                              format: date
                            webUrl:
                              type: string
                              format: uri
              examples:
                detailedResponse:
                  value:
                    success: true
                    data:
                      meta:
                        total: 14
                        currentPage: 1
                        perPage: 2
                      bankAccounts:
                        - bankAccountId: XP3Ez2Ggn8JP4qQgAYd
                          name: Demo Bank 1333
                          nickName: company1333334
                          accountNumber: '34234234234222'
                          isVerified: false
                          bankId: 6VoW41bgPVG589l
                          addressLine1: Test Address1
                          addressLine2: null
                          city: Downey
                          state: CA
                          zip: '90242'
                          phone: null
                          createdDate: 11-12-2024
                          webUrl: >-
                            https://staging.web.ocw.sebipay.com/manage/bank-accounts/index?id=3Ez2Ggn8JP4qQgA
                        - bankAccountId: KmQaMdjZl2XoGzLxbWy
                          name: Fayas
                          nickName: Fayass Fayass Fayass
                          accountNumber: '123456'
                          isVerified: false
                          bankId: pzo54xJ6ZbeaXmL
                          addressLine1: 1 Infinite Loop
                          addressLine2: null
                          city: Cupertino
                          state: CA
                          zip: '95014'
                          phone: null
                          createdDate: 09-21-2024
                          webUrl: >-
                            https://staging.web.ocw.sebipay.com/manage/bank-accounts/index?id=QaMdjZl2XoGzLxb
        '401':
          description: Unauthorized. Missing or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthenticated.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````